Bug 117778 - [patch] audio/holyshout unbreak fix build with GCC 4.2 + few slight modifications
Summary: [patch] audio/holyshout unbreak fix build with GCC 4.2 + few slight modificat...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-03 00:40 UTC by Pietro Cerutti
Modified: 2007-11-14 08:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-11-03 00:40:00 UTC
The patch fixes a few casts used where an lvalue is required.

Moreover, a substitution have been removed from the Makefile and incorporated into ${FILESDIR}/patch-holyshout.c where other substitutions for the same file exist.

Last, a substitution have been added to the port's Makefile, to change the occurrences of "gcc" with "${CC}" in the distribution's Makefiles in order to allow to specify a different compiler e.g. in make.conf

Fix: 

The patch is at:
http://www.gahr.ch/FreeBSD/patches/<this_PR_number>_holyshout.diff
How-To-Repeat: cd /usr/ports/audio/holyshout && make
Comment 1 Martin Wilke freebsd_committer 2007-11-03 04:35:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Pietro Cerutti 2007-11-12 15:02:32 UTC
Please find the last patch here:

http://www.gahr.ch/FreeBSD/patches/117778_holyshout.diff

- fix build with GCC 4.2
- move from internal liblame to liblame from ports
- move from libshout1 to libshout2

Test + feedback highly welcome!

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 3 Martin Wilke freebsd_committer 2007-11-14 08:22:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2007-11-14 08:23:29 UTC
miwi        2007-11-14 08:23:24 UTC

  FreeBSD ports repository

  Modified files:
    audio/holyshout      Makefile 
  Added files:
    audio/holyshout/files patch-Makefile patch-holyshout.c 
                          patch-holyshout.h 
  Log:
  - Fix build with gcc 4.2
  - Pass maintainership to submitter
  
  PR:             117778
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    portmgr (linimon)
  
  Revision  Changes    Path
  1.16      +4 -11     ports/audio/holyshout/Makefile
  1.1       +34 -0     ports/audio/holyshout/files/patch-Makefile (new)
  1.1       +273 -0    ports/audio/holyshout/files/patch-holyshout.c (new)
  1.1       +31 -0     ports/audio/holyshout/files/patch-holyshout.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"